BVEStation

Author Topic: [SOLVED] OpenBVE 1.5.1.5 still won't work correctly with me?  (Read 877 times)

Offline BadriveR142A

  • Conductor
  • **
  • Posts: 158
  • Gender: Male
  • 1970s Route Developper
    • View Profile
[SOLVED] OpenBVE 1.5.1.5 still won't work correctly with me?
« on: August 06, 2017, 04:47:18 pm »
 Hello again, after all the issues I had with all the newer versions of OpenBVE with NYCTA content, I realized the v1.5.1.5 came out and got told that it would fix all the memory problems or other problems causing the malfunction of the NYCTA Routes & Trains.

So I gave it a try hoping it will finally work and directly loaded the D with the new R68 since they are big in terms of memory, just to see if the game can handle them, but no, still blinking/white textures and low FPS!

It's frustrates me so much that the v1.4.3.1 works soooo good, even with the R68 on the D: decent FPS, no blinking/missing textures; just working like it should be!!! So I don't think that this is due to my specs!
But the new 1.5.1.5 version, nothing changed since the last 1.5 versions, well at least for me, because it works fine with one of my friend!
I tried changing graphic settings as well, no-thing!

But I think the only problem that might cause this, is that I'm still using Windows 7, does the v1.5.1.5 requires only Windows 10? Let me know please.
« Last Edit: August 07, 2017, 01:57:26 am by BadriveR142A »

1960 - 1970s Lover

Offline BadriveR142A

  • Conductor
  • **
  • Posts: 158
  • Gender: Male
  • 1970s Route Developper
    • View Profile
Re: [SOLVED] OpenBVE 1.5.1.5 still won't work correctly with me?
« Reply #1 on: August 07, 2017, 02:00:38 am »
Nevermind, I should have just run the game with the NVIDIA high performance graphic settings, even though this option was set to default so I don't have to right click and everything, but somehow the game still launched with the inbuilt Intel graphic card.

So if you have the same issue just do what I stated above, it will work for sure!

1960 - 1970s Lover

Offline bigbellymon4

  • Operator
  • ***
  • Posts: 260
  • Gender: Male
  • Route Developer
    • View Profile
Re: [SOLVED] OpenBVE 1.5.1.5 still won't work correctly with me?
« Reply #2 on: August 09, 2017, 06:08:38 pm »
Thanks, this has helped to increase my FPS significantly!! I have also found another solution, as the battery of the PC was being drained much faster since the switch:

In the NVIDIA Control panel, in the Manage 3D settings tab, instead of changing the setting of the preferred graphics processor from Intel (or auto-select) to the built-in GPU from NVIDIA under global settings, you can click on the program settings tab, add OpenBVE (and Routeviewer if you want) under option 1, and under option 2 you can select which graphics processor you would like to use with the program. This way, OpenBVE runs with the NVIDIA GPU, and leaves most programs to Integrated Graphics of Intel if the global setting is on auto. It reduces battery usage if you have a laptop, as I found many apps using the GPU that didn't want/need it.

Offline BadriveR142A

  • Conductor
  • **
  • Posts: 158
  • Gender: Male
  • 1970s Route Developper
    • View Profile
Re: [SOLVED] OpenBVE 1.5.1.5 still won't work correctly with me?
« Reply #3 on: August 12, 2017, 03:14:21 am »
Thanks, this has helped to increase my FPS significantly!! I have also found another solution, as the battery of the PC was being drained much faster since the switch:

In the NVIDIA Control panel, in the Manage 3D settings tab, instead of changing the setting of the preferred graphics processor from Intel (or auto-select) to the built-in GPU from NVIDIA under global settings, you can click on the program settings tab, add OpenBVE (and Routeviewer if you want) under option 1, and under option 2 you can select which graphics processor you would like to use with the program. This way, OpenBVE runs with the NVIDIA GPU, and leaves most programs to Integrated Graphics of Intel if the global setting is on auto. It reduces battery usage if you have a laptop, as I found many apps using the GPU that didn't want/need it.
I'm glad this helped you! But I already made all the programs I have (Omsi 2, GTA IV, OpenBVE v1.4.3.1...) to run with the the Nvidia Graphic card. But OpenBVE v1.5.1.5 somehow launched for the few first times with the in-built GPU. Now when I double click the game it seemed to understand that it should always run with the NVIDIA GPU, so it's fine, but I don't care about the battery since my laptop is always plugged so yeah. But some games oddly run better with the in-built GPU than the higher one though. But thanks for the advise anyways!

1960 - 1970s Lover